#ifndef MODEL_GUARD
#define MODEL_GUARD

#include <stdlib.h>
#include "render.h"

typedef struct {
	int strip_count;
	size_t *strip_lens;
	mixvertex_t *vertices;
	int pad[5];
} simple_model;

simple_model * LoadSimpleModel(const char *fname);
void DrawSimpleModel(simple_model *mdl, float lx, float ly, float lz, float ambient);
void DrawSimpleModel2(simple_model *mdl, float lx, float ly, float lz, float ambient);


#endif
